Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.adapters.jboss
Class JbossIntegrationFilter

    java.lang.Object
      org.acegisecurity.adapters.jboss.JbossIntegrationFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class JbossIntegrationFilter

extends Object
implements javax.servlet.Filter

Populates a `org.acegisecurity.context.security.SecureContext` from JBoss' `java:comp/env/security/subject`.

This filter never preserves the `Authentication` on the `ContextHolder` - it is replaced every request.

See `HttpSessionContextIntegrationFilter` for further information.

Version:
  $Id: JbossIntegrationFilter.java,v 1.11 2005/11/17 00:56:29 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`JbossIntegrationFilter()`

Method Summary
`void` | `destroy()` Does nothing.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`protected Context` | `getLookupContext()` Provided so that unit tests can override.
`void` | `init(javax.servlet.FilterConfig arg0)` Does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbossIntegrationFilter

    public JbossIntegrationFilter()

Method Detail

### destroy

    public void destroy()

  Does nothing. We use IoC container lifecycle services instead.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig arg0)
              throws javax.servlet.ServletException

  Does nothing. We use IoC container lifecycle services instead.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `arg0` - ignored
  Throws:
    `javax.servlet.ServletException` - ignored

### getLookupContext

    protected Context getLookupContext()
                                throws NamingException

  Provided so that unit tests can override.

  Returns:
    a `Context` that can be used for lookup
  Throws:
    `NamingException` - DOCUMENT ME!

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.